Package com.fasterxml.jackson.dataformat.xml.util

## Class XmlInfo

- java.lang.Object
- - com.fasterxml.jackson.dataformat.xml.util.XmlInfo

    public class XmlInfo
    extends java.lang.Object

Helper container class used to contain XML specific information we need to retain to construct proper bean serializer

### Field Summary

Fields
`protected boolean` `_isAttribute`
`protected boolean` `_isCData`
`protected boolean` `_isText`
`protected java.lang.String` `_namespace`

### Constructor Summary

Constructors
`XmlInfo​(java.lang.Boolean isAttribute, java.lang.String ns, java.lang.Boolean isText, java.lang.Boolean isCData)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getNamespace()`
`boolean` `isAttribute()`
`boolean` `isCData()`
`boolean` `isText()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _namespace

    protected final java.lang.String _namespace

#### _isAttribute

    protected final boolean _isAttribute

#### _isText

    protected final boolean _isText

#### _isCData

    protected final boolean _isCData

### Constructor Detail

#### XmlInfo

    public XmlInfo​(java.lang.Boolean isAttribute,
                   java.lang.String ns,
                   java.lang.Boolean isText,
                   java.lang.Boolean isCData)

### Method Detail

#### getNamespace

    public java.lang.String getNamespace()

#### isAttribute

    public boolean isAttribute()

#### isText

    public boolean isText()

#### isCData

    public boolean isCData()